<?php
class HelperHtml {

	public static function fieldButton($param, $value, $options, $tab = "\t") {
		$button = "$tab<div class='text-center'>\n"
			. "$tab\t<input id='id_$param' name='submit' type='submit' class='btn btn-default' value='". constant($options['title']) ."'>\n"
			. "$tab</div>\n";
		return $button;
	}

	public static function fieldCheckbox($param, $value, $options, $tab = "\t") {
		$checked = $value ? ' checked' : '';
		$checkbox = 	  "$tab<div class='form-group' id='iddiv_$param' data-toggle='tooltip' title='". constant($options['tooltip']) ."'>\n"
				. "$tab\t<label for='for_$param' class='col-sm-5 control-label'>". constant($options['title']) ."</label>\n"
				. "$tab\t<div class='col-sm-4 form-checkbox'>\n"
				. "$tab\t\t<input type='hidden' name='data[$param]' id='id_$param' value='0'>\n"
				. "$tab\t\t<input type='checkbox' name='data[$param]' id='id_$param' value='1'$checked>\n"
				. "$tab\t</div>\n"
				. "$tab</div>\n";
		return $checkbox;
	}

	public static function fieldInput($param, $value, $options, $tab = "\t") {
		$class = array(
			'input'		=> 'form-control input-sm',
			'input-div'	=> 'col-sm-4',
			'label'		=> 'col-sm-5 control-label',
			'main-div'	=> 'form-group',
		);
		if (!empty($options['class'])) {
			$class = array_merge($class, $options['class']);
		}
		$input =  "$tab<div class='{$class['main-div']}' data-toggle='tooltip' title='". constant($options['tooltip']) ."'>\n"
			. "$tab\t<label for='label_$param' class='{$class['label']}'>". constant($options['title']) ."</label>\n"
                        . "$tab\t<div class='{$class['input-div']}'>\n"
                        . "$tab\t\t<input type='text' class='{$class['input']}' name='data[$param]' id='id_$param' value='$value'>\n"
                        . "$tab\t</div>\n"
                	. "$tab</div>\n";
		return $input;
	}

	public static function fieldSelect($param, $key_sel, $options, $tab = "\t") {
		// set selected field
		$selected[$key_sel] = ' selected';

                $select = "$tab<div class='form-group' data-toggle='tooltip' title='". constant($options['tooltip']) ."'>\n"
                        . "$tab\t<label for='label_$param' class='col-sm-5 control-label'>". constant($options['title']) ."</label>\n"
                        . "$tab\t<div class='col-sm-4'>\n"
			. "$tab\t\t<select class='form-control' name='data[$param]' id='id_$param'>\n";

		foreach ($options['options']['select'] as $key => $value) {
			$select .= "$tab\t\t\t<option value='$key'{$selected[$key]}>". constant($value) ."</option>\n";
		}
                       
		$select .= "$tab\t\t</select>\n"
			.  "$tab\t</div>\n"
			.  "$tab</div>\n";
	
		return $select;
	}
}
